Package Details: kodi-addon-inputstream-adaptive-git 2.4.2.Leia.r0.g6e3b7e2-1

Git Clone URL: https://aur.archlinux.org/kodi-addon-inputstream-adaptive-git.git (read-only, click to copy)
Package Base: kodi-addon-inputstream-adaptive-git
Description: InputStream client for adaptive streams for Kodi 18+
Upstream URL: https://github.com/peak3d/inputstream.adaptive
Licenses: GPL2
Conflicts: kodi-addon-inputstream-adaptive
Provides: kodi-addon-inputstream-adaptive
Submitter: kevku
Maintainer: kevku
Last Packager: kevku
Votes: 10
Popularity: 0.015270
First Submitted: 2016-11-28 17:20
Last Updated: 2019-12-08 15:01

Required by (1)

Sources (1)

Latest Comments

1 2 3 Next › Last »

mokos commented on 2019-02-15 18:47

ok i'll admit that I'm big idiot!! the package works fine but after install you need to remember : 1. go to your installed addons in kodi and search for inputstream!!! 2. you need to enable the addon and configure it in order to use it!!

p.s. god damn its the second time that i was stuck... [Big Idiot!!] ---does anyone knows how to install for Krypton 17.6????? can anyone help??---

Niklas commented on 2019-02-08 20:12

@fotoniker: not necessary since good AUR helpers should give you the option to choose between e.g. kodi-git and kodi-devel

XavierCLL commented on 2019-01-30 19:10

missing a dot "." at the end of the cmake line

Rotgruen commented on 2019-01-29 22:25

When trying to install the package I get the following error message: "no source or binary directory provided". I have installed kodi-devel in advance

fotoniker commented on 2019-01-15 17:07

please add 'kodi-devel' to the depends, thanks.

knappster commented on 2018-10-27 10:57

It looks like the colorspace code coincides with changes that were made to Kodi 18 beta 4. I am able to build inputstream 2.3.3 once beta 4 is installed (but not when beta 3 was)

Hagar commented on 2018-10-15 08:06

2.2.28 from 8 days ago does build.

Hagar commented on 2018-10-15 07:24

I am unable to build after colorspace additions.

src/kodi-addon-inputstream-adaptive-18-git/src/main.cpp

error: ‘struct INPUTSTREAM_INFO’ has no member named ‘m_codecFourCC’

error: ‘struct INPUTSTREAM_INFO’ has no member named ‘m_colorSpace’

error: ‘COLORSPACE_UNKNOWN’ is not a member of ‘INPUTSTREAM_INFO’

error: ‘struct INPUTSTREAM_INFO’ has no member named ‘m_colorRange’

error: ‘COLORRANGE_UNKNOWN’ is not a member of ‘INPUTSTREAM_INFO’

Any Suggestions ?

Niklas commented on 2018-09-13 15:22

oh sorry

tadly commented on 2018-09-13 15:14

I might as well explain the issue.
With your source you are telling makepkg to clone the repository into the gitsrc directory.
Later on, in the pkgver, build and package functions, you're navigation to "${srcdir}/${pkgname}" which obviously doesn't exist.